Summary:    Scanning, tailoring, editing and validation tool for SCAP content
Name:       scap-workbench
Version:    1.2.1
Release:    4%{?dist}

License:    GPLv3+
URL:        http://www.open-scap.org/tools/scap-workbench
Source0:    https://github.com/OpenSCAP/scap-workbench/releases/download/%{version}/scap-workbench-%{version}.tar.bz2

Patch3000: scap-workbench-1.2.2-fix-qt-deprecated-pr-259.patch
Patch3001: scap-workbench-1.2.2-replace-obsolete-Qstring-SkipEmptyParts-pr-266.patch
Patch3002: %{name}-gcc11.patch
Patch3003: scap-worbench-1.2.2-rpath-pr-286.patch

BuildRequires: openssh-clients util-linux
BuildRequires: openscap-devel >= 1.2.11 openscap-utils >= 1.2.11
BuildRequires: qt5-qtxmlpatterns-devel >= 5.0.0 asciidoc
BuildRequires: cmake >= 2.6 qt5-qtbase-devel >= 5.0.0

Requires: polkit scap-security-guide font(:lang=en)
Requires: openscap-utils >= 1.2.11 openssh-clients openssh-askpass util-linux

%description
scap-workbench is GUI tool that provides scanning functionality for SCAP
content. The tool is based on OpenSCAP library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license %{_pkgdocdir}/COPYING
%doc %{_pkgdocdir}/user_manual.html
%doc %{_pkgdocdir}/README.md
%{_bindir}/scap-workbench
%{_libexecdir}/scap-workbench-oscap.sh
%{_libexecdir}/scap-workbench-pkexec-oscap.sh
%{_libexecdir}/scap-workbench-rpm-extract.sh
%{_datadir}/applications/scap-workbench.desktop
%{_datadir}/scap-workbench/*.png
%{_datadir}/scap-workbench/translations/*
%{_datadir}/polkit-1/actions/scap-workbench-oscap.policy
%{_datadir}/pixmaps/scap-workbench.png
%{_datadir}/pixmaps/scap-workbench.svg
%{_datadir}/appdata/scap-workbench.appdata.xml
%{_mandir}/man8/scap-workbench.8.gz

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.1-1
- initial build
